package be.iminds.ilabt.jfed.experiment.events;

import java.util.EventListener;

/**
 * User: twalcari
 * Date: 1/11/2016
 * Time: 09:55
 */
public interface ExperimentEventHandler<T extends ExperimentEvent> extends EventListener {
    /**
     * Invoked when a specific experiment event of the type for which this handler is
     * registered happens.
     *
     * @param event the event which occurred
     */
    void handle(T event);
}
